de.vc.util.log

## Class LoggingPanelLogFactory

- java.lang.Object
- - org.apache.commons.logging.LogFactory
  - - de.vc.util.log.LoggingPanelLogFactory

-     public class LoggingPanelLogFactory
      extends org.apache.commons.logging.LogFactory

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.logging.LogFactory

      `DIAGNOSTICS_DEST_PROPERTY, factories, FACTORY_DEFAULT, FACTORY_PROPERTIES, FACTORY_PROPERTY, HASHTABLE_IMPLEMENTATION_PROPERTY, nullClassLoaderFactory, PRIORITY_KEY, SERVICE_ID, TCCL_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingPanelLogFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAttribute(java.lang.String name)`
    `java.lang.String[]` | `getAttributeNames()`
    `org.apache.commons.logging.Log` | `getInstance(java.lang.Class clazz)`
    `org.apache.commons.logging.Log` | `getInstance(java.lang.String name)`
    `LoggingPanel` | `getLoggingPanel()`
    `int` | `getLogLevel()`
    `void` | `release()`
    `void` | `removeAttribute(java.lang.String name)`
    `void` | `setAttribute(java.lang.String name, java.lang.Object value)`
    `void` | `setLogLevel(int logLevel)`

    - ### Methods inherited from class org.apache.commons.logging.LogFactory

      `createFactory, directGetContextClassLoader, getClassLoader, getContextClassLoader, getFactory, getLog, getLog, isDiagnosticsEnabled, logRawDiagnostic, newFactory, newFactory, objectId, release, releaseAll`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingPanelLogFactory

          public LoggingPanelLogFactory()

  - ### Method Detail

    - #### getLoggingPanel

          public LoggingPanel getLoggingPanel()

    - #### getAttribute

          public java.lang.Object getAttribute(java.lang.String name)

      Specified by:
        `getAttribute` in class `org.apache.commons.logging.LogFactory`

    - #### getAttributeNames

          public java.lang.String[] getAttributeNames()

      Specified by:
        `getAttributeNames` in class `org.apache.commons.logging.LogFactory`

    - #### getInstance

          public org.apache.commons.logging.Log getInstance(java.lang.Class clazz)
                                                     throws org.apache.commons.logging.LogConfigurationException

      Specified by:
        `getInstance` in class `org.apache.commons.logging.LogFactory`
      Throws:
        `org.apache.commons.logging.LogConfigurationException`

    - #### getInstance

          public org.apache.commons.logging.Log getInstance(java.lang.String name)
                                                     throws org.apache.commons.logging.LogConfigurationException

      Specified by:
        `getInstance` in class `org.apache.commons.logging.LogFactory`
      Throws:
        `org.apache.commons.logging.LogConfigurationException`

    - #### release

          public void release()

      Specified by:
        `release` in class `org.apache.commons.logging.LogFactory`

    - #### removeAttribute

          public void removeAttribute(java.lang.String name)

      Specified by:
        `removeAttribute` in class `org.apache.commons.logging.LogFactory`

    - #### setAttribute

          public void setAttribute(java.lang.String name,
                          java.lang.Object value)

      Specified by:
        `setAttribute` in class `org.apache.commons.logging.LogFactory`

    - #### setLogLevel

          public void setLogLevel(int logLevel)

    - #### getLogLevel

          public int getLogLevel()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.